GIT-FEATURE(1)

NAME
git-feature - Create/Merge feature branch

SYNOPSIS

DESCRIPTION
Create/Merge the given feature branch

OPTIONS

use branch_prefix instead of feature

Setup a remote tracking branch using remote_name. If remote_name is not supplied, use origin by default.

<finish>

Merge and delete the feature branch.

<--squash>

Run a squash merge.

<name>

The name of the feature branch.

EXAMPLES

Start a new feature:

Finish a feature with --no-ff merge:

Finish a feature with --squash merge:

Publish a feature upstream:

Use custom branch prefix:

AUTHOR
Written by Jesús Espino <jespinog@gmail.com>
Modified by Mark Pitman <mark.pitman@gmail.com>
Modified by Carlos Prado <carlos.prado@cpradog.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>